import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:rxdart/rxdart.dart';

class ListOFMessageWidget extends StatelessWidget{
  final BehaviorSubject<String> message;
  final BehaviorSubject<String> image;

  const ListOFMessageWidget({
    Key key,
   this.message,  this.image,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    // TODO: implement build
    return Row(
      mainAxisAlignment: MainAxisAlignment.start,
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Image(image: AssetImage(image.value)),
        Padding(
          padding: const EdgeInsets.only(top:15.0),
          child: Text(message.value,),
        ),
      ],
    );
  }
}